AWS SDK Version 4 for .NET
API Reference

AWS services or capabilities described in AWS Documentation may vary by region/location. Click Getting Started with Amazon AWS to see specific differences applicable to the China (Beijing) Region.

Accepts a structured query language (SQL) SELECT command and an aggregator to query configuration state of Amazon Web Services resources across multiple accounts and regions, performs the corresponding search, and returns resource configurations matching the properties.

For more information about query components, see the Query Components section in the Config Developer Guide.

If you run an aggregation query (i.e., using GROUP BY or using aggregate functions such as COUNT; e.g., SELECT resourceId, COUNT(*) WHERE resourceType = 'AWS::IAM::Role' GROUP BY resourceId) and do not specify the MaxResults or the Limit query parameters, the default page size is set to 500.

If you run a non-aggregation query (i.e., not using GROUP BY or aggregate function; e.g., SELECT * WHERE resourceType = 'AWS::IAM::Role') and do not specify the MaxResults or the Limit query parameters, the default page size is set to 25.

Note:

This is an asynchronous operation using the standard naming convention for .NET 4.7.2 or higher.

Namespace: Amazon.ConfigService
Assembly: AWSSDK.ConfigService.dll
Version: 3.x.y.z

Syntax

C#
public virtual Task<SelectAggregateResourceConfigResponse> SelectAggregateResourceConfigAsync(
         SelectAggregateResourceConfigRequest request,
         CancellationToken cancellationToken
)

Parameters

request
Type: Amazon.ConfigService.Model.SelectAggregateResourceConfigRequest

Container for the necessary parameters to execute the SelectAggregateResourceConfig service method.

cancellationToken
Type: System.Threading.CancellationToken

A cancellation token that can be used by other objects or threads to receive notice of cancellation.

Return Value


The response from the SelectAggregateResourceConfig service method, as returned by ConfigService.

Exceptions

ExceptionCondition
InvalidExpressionException The syntax of the query is incorrect.
InvalidLimitException The specified limit is outside the allowable range.
InvalidNextTokenException The specified next token is not valid. Specify the nextToken string that was returned in the previous response to get the next page of results.
NoSuchConfigurationAggregatorException You have specified a configuration aggregator that does not exist.

Version Information

.NET:
Supported in: 8.0 and newer, Core 3.1

.NET Standard:
Supported in: 2.0

.NET Framework:
Supported in: 4.7.2 and newer

See Also